<?php
/**
 * @Copyright (C) 2018, RB Consulting, Inc. All Rights Reserved
 *
 * @author Rob Broadhead
 *
 * UserData Class
 */
// Class for keeping track of and passing around user account information
class UserData {
  private $id = 0;
  private $email = '';
  private $fname = '';
  private $lname = '';
  private $login = '';
  private $password = '';

  /**
   * @return int
   */
  public function getId()
  {
    return $this->id;
  }

  /**
   * @param int $id
   */
  public function setId($id)
  {
    $this->id=$id;
  }

  /**
   * @return string
   */
  public function getEmail()
  {
    return $this->email;
  }

  /**
   * @param string $email
   */
  public function setEmail($email)
  {
    $this->email=$email;
  }

  /**
   * @return string
   */
  public function getFname()
  {
    return $this->fname;
  }

  /**
   * @param string $fname
   */
  public function setFname($fname)
  {
    $this->fname=$fname;
  }

  /**
   * @return string
   */
  public function getLname()
  {
    return $this->lname;
  }

  /**
   * @param string $lname
   */
  public function setLname($lname)
  {
    $this->lname=$lname;
  }

  /**
   * @return string
   */
  public function getLogin()
  {
    return $this->login;
  }

  /**
   * @param string $login
   */
  public function setLogin($login)
  {
    $this->login=$login;
  }

  /**
   * @return string
   */
  public function getPassword()
  {
    return $this->password;
  }

  /**
   * @param string $password
   */
  public function setPassword($password)
  {
    $this->password=$password;
  }
}
?>