<!DOCTYPE html>
<?php
include("include/settings.php");
include("include/functions.php");

$linkId=0;
if(isset($_REQUEST["id"])) {
  $linkId=$_REQUEST["id"];
}

$title="New Link";
if($linkId > 0) {
  $title="Edit Link";
}

$curLink=LinkData::getById($linkId);
?>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->

  <title><?= $title ?></title>

  <!-- Bootstrap core CSS -->
  <link href="bootstrap-3.3.4-dist/css/bootstrap.min.css" rel="stylesheet">

  <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
  <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
  <![endif]-->

  <!-- Custom styles for this template -->
  <link href="css/blog.css" rel="stylesheet">
  <link href="css/basic.css" rel="stylesheet">
</head>
<body>
<div class="container">
  <div class="blog-header">
    <div class="jumbotron2">
      <h2 class="blog-post-title"><?=$title?></h2>
      <form action="action/saveLink.php" method="post">
        <div class="row">Name:
          <input type="text" size="40" id="name" name="name" value="<?=$curLink->getName()?>"/>
        </div>
        <div class="row">Link Type:
          <input type="text" size="40" id="type" name="type" value="<?=$curLink->getType()?>"/>
        </div>
        <div class="row">Link Data:
          <input type="text" size="" id="notes" name="notes" value="<?=$curLink->getNotes()?>"/>
        </div>
        <div class="row">
          <input type="submit" value="Save"/>
        </div>
      </form>
    </div>
  </div>
  <a href="index.php">Return Home</a>
</div>
<br/>
</body>
</html>