DROP DATABASE links;
CREATE DATABASE links;
use links;

-- CREATE USER 'linksadmin'@'localhost' IDENTIFIED BY 'l1Nk5@dM1n.';
-- GRANT ALL PRIVILEGES ON links.* TO 'linksadmin'@'localhost';
-- FLUSH PRIVILEGES;

CREATE TABLE
    lkpLinkType
    (
        typeId bigint NOT NULL AUTO_INCREMENT,
        name VARCHAR(40) NOT NULL,
        code VARCHAR(4) NOT NULL,
        PRIMARY KEY (typeId)
    )
    ENGINE=InnoDB DEFAULT CHARSET=latin1;

CREATE TABLE
    SiteUser
    (
        userId bigint NOT NULL AUTO_INCREMENT,
        email VARCHAR(250) NOT NULL,
        firstname VARCHAR(40) NOT NULL,
        lastname VARCHAR(40) NOT NULL,
        login VARCHAR(30) NOT NULL,
        pwd VARCHAR(30) NOT NULL,
        PRIMARY KEY (userId)
    )
    ENGINE=InnoDB DEFAULT CHARSET=latin1;
    
CREATE TABLE
    Link
    (
        linkId bigint NOT NULL AUTO_INCREMENT,
        linkname VARCHAR(40) NOT NULL,
        notes VARCHAR(250) NOT NULL,
        userId bigint not null,
        typeId bigint not null,
        PRIMARY KEY (linkId),
        FOREIGN KEY (typeId) REFERENCES lkpLinkType (typeId),
        FOREIGN KEY (userId) REFERENCES SiteUser (userId)
    )
ENGINE=InnoDB DEFAULT CHARSET=latin1;

insert into lkpLinkType(name,code) values ('Facebook','FB');
insert into lkpLinkType(name,code) values ('LinkedIN','LKIN');
insert into lkpLinkType(name,code) values ('SnapChat','SNAP');
insert into lkpLinkType(name,code) values ('Google Plus','GOOG');
insert into lkpLinkType(name,code) values ('Twitter','TWTR');
insert into lkpLinkType(name,code) values ('Other','OTH');
